Loading...
Searching...
No Matches
juce::URLInputSource Class Reference

## Detailed Description

A type of InputSource that represents a URL.

See also
  InputSource

The documentation for this class was generated from the following file:

- juce_core/streams/juce_URLInputSource.h

Inheritance diagram for juce::URLInputSource:

## Public Member Functions

| URLInputSource (const URL &url)
| Creates a URLInputSource for a url.
| URLInputSource (URL &&url)
| Move constructor which will move the URL into the InputSource.
| ~URLInputSource () override
| Destructor.
InputStream * | createInputStream () override
| Returns a new InputStream to read this item.
InputStream * | createInputStreamFor (const String &relatedItemPath) override
| Returns a new InputStream to read an item, relative.
int64 | hashCode () const override
| Returns a hash code that uniquely represents this item.
Public Member Functions inherited from juce::InputSource
| InputSource ()=default
virtual | ~InputSource ()=default
| Destructor.

## Constructors and Destructors

## URLInputSource() [1/2]

juce::URLInputSource::URLInputSource | ( | const URL & | url | ) |

Creates a URLInputSource for a url.

Referenced by hashCode().

## URLInputSource() [2/2]

juce::URLInputSource::URLInputSource | ( | URL && | url | ) |

Move constructor which will move the URL into the InputSource.

This is useful when the url carries any security credentials.

## ~URLInputSource()

juce::URLInputSource::~URLInputSource | ( |  | ) |

override

Destructor.

## Member Functions

## createInputStream()

InputStream * juce::URLInputSource::createInputStream | ( |  | ) |

override virtual

Returns a new InputStream to read this item.

Returns
  an inputstream that the caller will delete, or nullptr if the filename isn't found.

Implements juce::InputSource.

## createInputStreamFor()

InputStream * juce::URLInputSource::createInputStreamFor | ( | const String & | relatedItemPath | ) |

override virtual

Returns a new InputStream to read an item, relative.

Parameters

  relatedItemPath | the relative pathname of the resource that is required

Returns
  an inputstream that the caller will delete, or nullptr if the item isn't found.

Implements juce::InputSource.

## hashCode()

int64 juce::URLInputSource::hashCode | ( |  | ) | const

override virtual

Returns a hash code that uniquely represents this item.

Implements juce::InputSource.

References URLInputSource().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited